<?php

/*
 * 拡張ユニットバージョンアップデート用スクリプト
 * トランザクション処理は本体側で行っております
 * @param tbl_unitのマスタ情報
 */
function extunit_update($param, $db) {
	switch(DBTYPE) {
		case 'pgsql':
			$sql[] = "ALTER TABLE extunit_extcatlist3 ADD COLUMN catlist_label_flg smallint DEFAULT '0';";
			$sql[] = "ALTER TABLE extunit_extcatlist3_tmp ADD COLUMN catlist_label_flg smallint DEFAULT '0';";
		break;

		case "mysql":
			$sql[] = "ALTER TABLE extunit_extcatlist3 ADD COLUMN catlist_label_flg smallint DEFAULT '0';";
			$sql[] = "ALTER TABLE extunit_extcatlist3_tmp ADD COLUMN catlist_label_flg smallint DEFAULT '0';";
		break;
		default:
			return false;
		break;
	}
	//sqlの実行
	if(!is_array($sql)||!count($sql)>0) {
		//テーブルのないモジュール、ユニットは存在させない
		return false;
	}
	foreach($sql as $key => $val) {
		if(!$db->query($val)) {
			return false;
		}
	}
	return true;
}
?>